List Api Keys
GET
/api-keys
const url = 'https://api.mengi.cloud/api-keys';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/api-keysList all API keys for the current user.
Responses
Section titled “ Responses ”Successful Response
Media type application/json
APIKeyListResponse
object
keys
required
Keys
Array<object>
APIKeyResponseobject
id
required
Id
string format: uuid
name
required
Name
string
key_prefix
required
Key Prefix
string
is_active
required
Is Active
boolean
created_at
required
Created At
string format: date-time
total
required
Total
integer
Example generated
{ "keys": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "key_prefix": "example", "scopes": "example", "is_active": true, "last_used_at": "2026-04-15T12:00:00Z", "last_used_ip": "example", "expires_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "revoked_at": "2026-04-15T12:00:00Z" } ], "total": 1}